Subscription
All operations require authentication.
List models this VPS can be upgraded toProduction
Returns the models the VPS can be upgraded to, with their disk, memory, vCore and options.
Path parameters
Service name
Response
additionalDiskautomatedBackupcpanelftpbackupplesksnapshotveeamwindowsPossible location type a disk can have
distantlocalAll versions that VPS can have
2013v12014v12015v12017v12017v22017v32018v12018v22019v12025v1Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ availableUpgrade \
-H "authorization: Bearer $OVH_TOKEN"[ { "availableOptions": [ "additionalDisk" ], "datacenter": [ "string" ], "disk": 0, "diskLocationType": "distant", "maximumAdditionnalIp": 0, "memory": 0, "name": "string", "offer": "string", "vcore": 0, "version": "2013v1" }]
Retrieve the service information for this VPSProduction
Returns the billing information of the VPS: creation and expiration dates, contacts and renewal settings.
Path parameters
Service name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Initiate a contact change procedure for this VPS serviceProduction
Starts a contact change procedure for the admin, billing or tech contact of the VPS and returns the IDs of the change tasks.
Path parameters
Service name
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Request termination of this VPS serviceProduction
Starts the termination of the VPS and sends a confirmation token by email to the admin contact.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Confirm the termination of this VPS serviceProduction
Confirms the termination of the VPS with the token sent by email to the admin contact.
Path parameters
Service name
Request body (required)
Commentary about your termination request
Commentary about your future use
Commentary about your reason for termination request
All future uses you can provide for a service termination
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORAll reasons you can provide for a service termination
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Update the service information for this VPSProduction
Updates the renewal settings of the VPS.
Path parameters
Service name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"